Get agent setup info
- Base URL
-
https://{kibana_url}
-
GET
/api/fleet/agents/setup
Auth
Get the current Fleet setup status, including whether Fleet is ready to enroll agents and which requirements or optional features are missing.
-
Privileges
fleet-agents-read
or
fleet-agent-policies-read
or
fleet-settings-read
or
fleet-setup
-
is_action_secrets_storage_enabled
boolean
-
is_secrets_storage_enabled
boolean
-
is_space_awareness_enabled
boolean
-
is_ssl_secrets_storage_enabled
boolean
-
missing_optional_features
enum[] · max items: 1
required
-
Values:
encrypted_saved_object_encryption_key_required
-
missing_requirements
enum[] · max items: 5
required
-
Values:
security_required
tls_required
api_keys
fleet_admin_user
fleet_server
-
package_verification_key_id
string
-
attributes
object
required
Thank you for your feedback.